package random;
class RandomNumbers {

	static final long m = 2147483647;
	static final long b = 12345;
	static final long a = 1103515245;
	static long u = System.currentTimeMillis();
	
	public static double Uniform(){
		u = (u * a + b) % m;
		return(double)u/m;
	}

	public static double Exponential(double mu){
		double u = Uniform();
		return -Math.log(1-u)/mu;
	}
}

public class MonteCarloPiLCG {

	public static void main(String[] args) {
		final int Trials = 10000000;
		int hits = 0;

		for (int i = 0; i < Trials; i++) {
			double x = RandomNumbers.Uniform() ;
			double y = RandomNumbers.Uniform() ;
			if (x * x + y * y <= 1)
				hits++;
		}

		double pi = 4.0 * hits / Trials;
		System.out.println("estimate of PI is " + pi + " =? " + Math.PI);
	}

}
